/*
 *   Copyright (C) 2011 Peter Grasch <peter.grasch@bedahr.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2,
 *   or (at your option) any later version, as published by the Free
 *   Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */


#ifndef TRAININGSAMPLESDESCRIPTOR_H
#define TRAININGSAMPLESDESCRIPTOR_H

#include "sscdaccess_export.h"
#include <QStringList>

class SSCDACCESS_EXPORT TrainingSamplesDescriptor
{
private:
  QString prompt;
  QStringList fileNames;
  QStringList devices;
  
public:
  TrainingSamplesDescriptor(const QString& prompt, const QStringList& fileNames, const QStringList& devices);
  
  QString getPrompt() { return prompt; }
  QStringList getFileNames() { return fileNames; }
  QStringList getDevices() { return devices; }
  
};

#endif // TRAININGSAMPLESDESCRIPTOR_H
